> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Statement Configuration



## OpenAPI

````yaml api-reference/openapi-account.json GET /statement_config/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /statement_config/{id}:
    get:
      tags:
        - Account Documents
      summary: Fetch a Configuration
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: null
                    apy: '1.50'
                    created_at: '2022-08-19T23:27:03Z'
                    email_address: support@example.com
                    footnote: >-
                      In case of errors or questions about your electronic
                      transfers...
                    id: stmtcfg_11hg0727cpmwzt
                    logo_file_id: null
                    org_legal_name: Example Company LLC
                    phone_number: +1 555-1212
                    show_transaction_ids: true
                    support_url: support.example.com
                    updated_at: '2022-08-19T23:27:03Z'
              schema:
                properties:
                  account_id:
                    description: >-
                      Specific Account ID to apply statement configuration; if
                      omitted, applies to all accounts
                    type: string
                  apy:
                    description: >-
                      Annual Percentage Yield to be displayed on statements
                      generated with this configuration. Must be non-negative.
                      APY will be displayed with two-decimal precision and must
                      be provided with two-decimal precision. The provided `apy`
                      is taken as a percentage, e.g. `3.50` would indicate an
                      APY of 3.50%Either `apy` or `apy_custom` must be
                      populated.
                    pattern: ^[0-9][.][0-9][0-9]$
                    type: string
                  apy_custom:
                    description: >-
                      Custom text to include on statements to describe the
                      Annual Percentage Yield. The text provided will be
                      displayed as right-aligned plain text above the summary on
                      the statement. This field is intended to allow displaying
                      tiered or other APY formats when APY is not a simple rate.
                      When `apy_custom` is provided it will be used instead of
                      an Annual Percentage Yield field in the summary. Either
                      `apy` or `apy_custom` must be populated. 
                    type: string
                  bank_disclosure_message:
                    description: >-
                      Bank disclosure that appears at the bottom of each
                      statement page. Defaults to "Account offered by <bank>
                      Member FDIC".
                    type: string
                  display_authorized_user:
                    description: >-
                      When this field is true, names of persons with the
                      `authorized_user` will be displayed above the owner name
                      in the format `<name>, Representative Payee for
                      <owner-name>`. Defaults to `false`.
                    type: boolean
                  email_address:
                    description: Customer support email address to appear on statements
                    type: string
                  footnote:
                    description: >-
                      Field to add footnote language, including Reg E Customer
                      Complaint Information & Language. See suggested template.
                      Whatever is entered into this field will appear as plain
                      text at the bottom of the statement. Note, the copy
                      included in this field is subject to approval by your
                      partner bank.
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  logo_file_id:
                    description: >-
                      ID of the File containing the logo to appear on
                      statements. Allowed image formats are PNG, JPEG and TIFF.
                      Image will be scaled down to fit in a 360x54 region.
                    type: string
                  org_legal_name:
                    description: Legal name of your business to appear on statements
                    type: string
                  phone_number:
                    description: Customer support phone number to appear on statements
                    type: string
                  physical_address:
                    description: >-
                      Address object representing the physical address of your
                      business which will appear on statements
                    properties:
                      city:
                        description: City
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  show_transaction_ids:
                    description: >-
                      When field is true, the Treasury Prime transaction id is
                      shown on each transaction row on the statement. Defaults
                      to `false`.
                    type: boolean
                  support_url:
                    description: Customer support website to appear on statements
                    type: string
                  timezone:
                    description: >-
                      Must be a valid Canonical timezone string from the tz
                      database, this timezone is used for formatting the dates
                      of items on the generated statement. Defaults to `UTC`.
                    type: string
          description: The statement_config
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````